LibreOffice: XSubTotalField Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSubTotalField Interface Referencepublished

provides access to the settings of a field in a subtotal descriptor. More...

`import <XSubTotalField.idl;`

Inheritance diagram for XSubTotalField:

## Public Member Functions
long | getGroupColumn ()
| returns the column by which entries are grouped.
void | setGroupColumn ([in] long nGroupColumn)
| sets the column by which entries are grouped.
sequence< com::sun::star::sheet::SubTotalColumn > | getSubTotalColumns ()
| returns the definitions of which columns should have subtotals added to them.
void | setSubTotalColumns ([in] sequence< com::sun::star::sheet::SubTotalColumn > aSubTotalColumns)
| sets the definitions of which columns should have subtotals added to them.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the settings of a field in a subtotal descriptor.

See also
  com::sun::star::sheet::SubTotalField
  com::sun::star::sheet::SubTotalDescriptor

## Member Function Documentation

## ◆ getGroupColumn()

long getGroupColumn | ( |  | ) |

returns the column by which entries are grouped.

## ◆ getSubTotalColumns()

sequence< com::sun::star::sheet::SubTotalColumn > getSubTotalColumns | ( |  | ) |

returns the definitions of which columns should have subtotals added to them.

## ◆ setGroupColumn()

void setGroupColumn | ( | [in] long | nGroupColumn | ) |

sets the column by which entries are grouped.

## ◆ setSubTotalColumns()

void setSubTotalColumns | ( | [in] sequence< com::sun::star::sheet::SubTotalColumn > | aSubTotalColumns | ) |

sets the definitions of which columns should have subtotals added to them.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSubTotalField.idl